// Пример 13. Использования ADO - чтение из DBF-файла

Primer13()
{
  var con=CreateObject("ADODB.Connection");
  var cnstr="Provider=MSDASQL.1;Data Source=dBASE Files;Initial Catalog=C:\\";

  con.Open(cnstr,"","");

  var rcd=CreateObject("ADODB.Recordset");
  var dbstr="prim13";
  rcd.Open(dbstr,con,2,3,2);

  while (!rcd.EOF)
  {
    int tn=rcd.Fields.Item("TN").Value;
    string fio=rcd.Fields.Item("FIO").Value;
    char str[256];
    sprintf(str,"%7d %-40.40s",tn,fio);
    print(str);
    rcd.MoveNext();
  }

  rcd.Close();
  con.Close();
}

